import mongoose from 'mongoose';
import MaterialSupplierModel from '../models/material_suppliers';
import MaterialGroupsModel from '../models/material_groups';

const MaterialSchema = new mongoose.Schema({
  name: {type: String, index: {unique: true}},
  supplier_id: {type: mongoose.Schema.Types.ObjectId, ref: MaterialSupplierModel},
  group_id: {type: mongoose.Schema.Types.ObjectId, ref: MaterialGroupsModel},
  mineral: String,
  glass_fiber: String,
  carbon_fiber: String,
  numbers: [{
    color: String,
    number: String
  }],
  status: Number
}, {minimize: false});

export default mongoose.model('material', MaterialSchema);